Subject: bug#40652: closed (Re: bug#40652: GDM does not starts after April 10 system reconfigure)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 10 Jun 2022 00:41:01 +0000

Your bug report

#40652: GDM does not starts after April 10 system reconfigure

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
40652: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=40652
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#40652: GDM does not starts after April 10 system reconfigure
From: Maxim Cournoyer <[email-masked]>
To: R Veera Kumar <[email-masked]>
Cc: [email-masked]
Date: Thu, 09 Jun 2022 20:40:50 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

R Veera Kumar <[email-masked]> writes:

> The solution in bug #36924 solved the problem in my system.
>
> Remove /var/lib/gdm and make a empty one instead.

Thanks for letting us know.

Closing since #36924 is still open.

Thanks,

Maxim

Subject: GDM does not starts after April 10 system reconfigure
From: R Veera Kumar <[email-masked]>
To: [email-masked]
Date: Thu, 16 Apr 2020 05:50:20 +0530
List-Id: <debbugs-submit.debbugs.gnu.org>

I am using guix.git master branch.

I did guix system reconfigure on April 10 with gnome, mate, xfce and enlightenment service-types.
It was working. And next day I again did that and gdm does not starts anymore.

Initial console says:

New session c1 of user gdm.
Removed session c1.

/var/log/messages says:

gdm: Child process -325 was already dead.

/var/log/gdm/greeter.log says:

(EE)
Fatal server error:
(EE) Cannot open log file "/var/lib/gdm/.local/share/xorg/Xorg.pid-330.log"
(EE)
(EE)
Please consult the The X.Org Foundation support
         at http://wiki.x.org
 for help.
(EE)
Unable to run X server

Any help would be appreciated!

Veera